/* 
A program used to demonstrate file downloads with HTTPFileTransfer.cc

Author: Michael Nuwer
updated: 01/01/2002

To build this program:

compile :webwizards:webclass.cc
compile HTTPFileTransfer.cc
compile DownloadSample.prg

build DownloadSample.pro,:webwizards:webclass.co, HTTPFileTransfer.co to upload.exe WEB



*/
try

   set procedure to HTTPFileTransfer.cc additive
   oCGI = new CGIDownload()
   oCGI.Connect()

catch (exception e)

   quit

endtry

try

   if 'wp' $ oCGI['p_name'] 
      cFilename = oCGI['username']+oCGI['p_name']+'.doc'
      cProject = oCGI['p_name']+'.doc'
   elseif 'pr' $ oCGI['p_name'] 
      cFilename = oCGI['username']+oCGI['p_name']+'.ppt'
      cProject = oCGI['p_name']+'.ppt'
   elseif 'sp' $ oCGI['p_name'] 
      cFilename = oCGI['username']+oCGI['p_name']+'.xls'
      cProject = oCGI['p_name']+'.xls'
   elseif 'db' $ oCGI['p_name'] 
      cFilename = oCGI['username']+oCGI['p_name']+'.mdb'
      cProject = oCGI['p_name']+'.mdb'
   else
      oCGI.sorryPage("<P>There was an error processing your request <P> Please try again.")
   endif

   
   oCGI.Download( "d:\Cmpt301\projects\"+cProject, cFilename )

catch (exception e)

  oCGI.errorPage(e)  // trap any errors

endtry

oCGI = null // cleanup

quit


